Browse Source

codacy

pull/2968/head
Daniel Gibbs 5 years ago
parent
commit
167cf43e5b
  1. 4
      lgsm/config-default/config-lgsm/inssserver/_default.cfg
  2. 2
      lgsm/config-default/config-lgsm/momserver/_default.cfg
  3. 1
      lgsm/config-default/config-lgsm/mtaserver/_default.cfg
  4. 1
      lgsm/config-default/config-lgsm/utserver/_default.cfg
  5. 6
      lgsm/functions/check_deps.sh
  6. 2
      lgsm/functions/check_steamcmd.sh
  7. 1
      lgsm/functions/command_console.sh
  8. 4
      lgsm/functions/command_update_linuxgsm.sh
  9. 12
      lgsm/functions/command_wipe.sh
  10. 2
      lgsm/functions/fix.sh
  11. 10
      lgsm/functions/fix_ark.sh
  12. 4
      lgsm/functions/info_config.sh
  13. 4
      lgsm/functions/info_distro.sh
  14. 8
      lgsm/functions/install_logs.sh
  15. 4
      linuxgsm.sh

4
lgsm/config-default/config-lgsm/inssserver/_default.cfg

@ -22,9 +22,9 @@ maxplayers="28"
fn_parms(){ fn_parms(){
# Allows serverpassword to work with parameters # Allows serverpassword to work with parameters
if [ "${serverpassword}" != "NOT SET" ]; then if [ "${serverpassword}" != "NOT SET" ]; then
parms="${defaultmap}?Scenario=${defaultscenario}?MaxPlayers=${maxplayers}?Port=${port}?QueryPort=${queryport}?password="${serverpassword}" -hostname='${servername}' -log" parms="${defaultmap}?Scenario=${defaultscenario}?MaxPlayers=${maxplayers}?Port=${port}?QueryPort=${queryport}?password="${serverpassword}" -hostname="${servername}" -log"
else else
parms="${defaultmap}?Scenario=${defaultscenario}?MaxPlayers=${maxplayers}?Port=${port}?QueryPort=${queryport} -hostname='${servername}' -log" parms="${defaultmap}?Scenario=${defaultscenario}?MaxPlayers=${maxplayers}?Port=${port}?QueryPort=${queryport} -hostname="${servername}" -log"
fi fi
} }

2
lgsm/config-default/config-lgsm/momserver/_default.cfg

@ -16,7 +16,7 @@ maxplayers="32"
## Server Start Command | https://docs.linuxgsm.com/configuration/start-parameters#additional-parameters ## Server Start Command | https://docs.linuxgsm.com/configuration/start-parameters#additional-parameters
fn_parms(){ fn_parms(){
parms="-port=${port} -beaconport=${beaconport} -MULTIHOME="${ip}" -maxplayers=${maxplayers}" parms="-port="${port}" -beaconport="${beaconport}" -MULTIHOME="${ip}" -maxplayers=${maxplayers}"
} }
#### LinuxGSM Settings #### #### LinuxGSM Settings ####

1
lgsm/config-default/config-lgsm/mtaserver/_default.cfg

@ -139,6 +139,7 @@ executabledir="${systemdir}"
executable="./mta-server64" executable="./mta-server64"
servercfgdir="${systemdir}/mods/deathmatch" servercfgdir="${systemdir}/mods/deathmatch"
servercfg="mtaserver.conf" servercfg="mtaserver.conf"
servercfgdefault="mtaserver.conf"
servercfgfullpath="${servercfgdir}/${servercfg}" servercfgfullpath="${servercfgdir}/${servercfg}"
## Backup Directory ## Backup Directory

1
lgsm/config-default/config-lgsm/utserver/_default.cfg

@ -142,6 +142,7 @@ executabledir="${systemdir}/Engine/Binaries/Linux"
executable="./UE4Server-Linux-Shipping" executable="./UE4Server-Linux-Shipping"
servercfgdir="${systemdir}/UnrealTournament/Saved/Config/LinuxServer" servercfgdir="${systemdir}/UnrealTournament/Saved/Config/LinuxServer"
servercfg="Game.ini" servercfg="Game.ini"
servercfgdefault"Game.ini"
servercfgfullpath="${servercfgdir}/${servercfg}" servercfgfullpath="${servercfgdir}/${servercfg}"
## Backup Directory ## Backup Directory

6
lgsm/functions/check_deps.sh

@ -383,7 +383,7 @@ fn_deps_build_debian(){
# Battlefield: Vietnam # Battlefield: Vietnam
elif [ "${shortname}" == "bfv" ]; then elif [ "${shortname}" == "bfv" ]; then
array_deps_required+=( libncurses5:i386 libstdc++5:i386 ) array_deps_required+=( libncurses5:i386 libstdc++5:i386 )
# Battlefield 1942, Counter-Strike: Source, Garry's Mod, No More Room in Hell, Source Forts Classic, Zombie Master Reborn and Zombie Panic: Source # Battlefield 1942, Counter-Strike: Source, Garry's Mod, No More Room in Hell, Source Forts Classic, Zombie Master Reborn and Zombie Panic: Source
elif [ "${shortname}" == "bf1942" ]||[ "${shortname}" == "css" ]||[ "${shortname}" == "gmod" ]||[ "${shortname}" == "nmrih" ]||[ "${shortname}" == "sfc" ]||[ "${shortname}" == "zmr" ]||[ "${shortname}" == "zps" ]; then elif [ "${shortname}" == "bf1942" ]||[ "${shortname}" == "css" ]||[ "${shortname}" == "gmod" ]||[ "${shortname}" == "nmrih" ]||[ "${shortname}" == "sfc" ]||[ "${shortname}" == "zmr" ]||[ "${shortname}" == "zps" ]; then
if [ "${arch}" == "x86_64" ]; then if [ "${arch}" == "x86_64" ]; then
array_deps_required+=( libtinfo5:i386 ) array_deps_required+=( libtinfo5:i386 )
@ -447,6 +447,7 @@ fn_deps_build_debian(){
# Wurm: Unlimited # Wurm: Unlimited
elif [ "${shortname}" == "wurm" ]; then elif [ "${shortname}" == "wurm" ]; then
array_deps_required+=( xvfb ) array_deps_required+=( xvfb )
# Post Scriptum
elif [ "${shortname}" == "pstbs" ]; then elif [ "${shortname}" == "pstbs" ]; then
array_deps_required+=( libgconf-2-4 ) array_deps_required+=( libgconf-2-4 )
fi fi
@ -495,7 +496,7 @@ fn_deps_build_redhat(){
# Battlefield: Vietnam # Battlefield: Vietnam
elif [ "${shortname}" == "bfv" ]; then elif [ "${shortname}" == "bfv" ]; then
array_deps_required+=( compat-libstdc++-33.i686 glibc.i686 ) array_deps_required+=( compat-libstdc++-33.i686 glibc.i686 )
# Battlefield 1942, Counter-Strike: Source, Garry's Mod, No More Room in Hell, Source Forts Classic, Zombie Master Reborn and Zombie Panic: Source # Battlefield 1942, Counter-Strike: Source, Garry's Mod, No More Room in Hell, Source Forts Classic, Zombie Master Reborn and Zombie Panic: Source
elif [ "${shortname}" == "bf1942" ]||[ "${shortname}" == "css" ]||[ "${shortname}" == "gmod" ]||[ "${shortname}" == "nmrih" ]||[ "${shortname}" == "sfc" ]||[ "${shortname}" == "zmr" ]||[ "${shortname}" == "zps" ]; then elif [ "${shortname}" == "bf1942" ]||[ "${shortname}" == "css" ]||[ "${shortname}" == "gmod" ]||[ "${shortname}" == "nmrih" ]||[ "${shortname}" == "sfc" ]||[ "${shortname}" == "zmr" ]||[ "${shortname}" == "zps" ]; then
array_deps_required+=( ncurses-libs.i686 ) array_deps_required+=( ncurses-libs.i686 )
# Brainbread 2, Don't Starve Together & Team Fortress 2 # Brainbread 2, Don't Starve Together & Team Fortress 2
@ -555,6 +556,7 @@ fn_deps_build_redhat(){
# Wurm: Unlimited # Wurm: Unlimited
elif [ "${shortname}" == "wurm" ]; then elif [ "${shortname}" == "wurm" ]; then
array_deps_required+=( xorg-x11-server-Xvfb ) array_deps_required+=( xorg-x11-server-Xvfb )
# Post Scriptum
elif [ "${shortname}" == "pstbs" ]; then elif [ "${shortname}" == "pstbs" ]; then
array_deps_required+=( GConf2 ) array_deps_required+=( GConf2 )
fi fi

2
lgsm/functions/check_steamcmd.sh

@ -7,7 +7,7 @@
functionselfname="$(basename "$(readlink -f "${BASH_SOURCE[0]}")")" functionselfname="$(basename "$(readlink -f "${BASH_SOURCE[0]}")")"
fn_install_steamcmd(){ fn_install_steamcmd(){
if [ ${shortname} == "ark" ]&&[ "${installsteamcmd}" == "1" ]; then if [ "${shortname}" == "ark" ]&&[ "${installsteamcmd}" == "1" ]; then
steamcmddir="${serverfiles}/Engine/Binaries/ThirdParty/SteamCMD/Linux" steamcmddir="${serverfiles}/Engine/Binaries/ThirdParty/SteamCMD/Linux"
fi fi
if [ ! -d "${steamcmddir}" ]; then if [ ! -d "${steamcmddir}" ]; then

1
lgsm/functions/command_console.sh

@ -4,7 +4,6 @@
# Website: https://linuxgsm.com # Website: https://linuxgsm.com
# Description: Gives access to the server tmux console. # Description: Gives access to the server tmux console.
commandname="CONSOLE" commandname="CONSOLE"
commandaction="Access console" commandaction="Access console"
functionselfname="$(basename "$(readlink -f "${BASH_SOURCE[0]}")")" functionselfname="$(basename "$(readlink -f "${BASH_SOURCE[0]}")")"

4
lgsm/functions/command_update_linuxgsm.sh

@ -78,7 +78,7 @@ if [ "${script_diff}" != "" ]; then
mkdir -p "${backupdir}/script" mkdir -p "${backupdir}/script"
fi fi
cp "${rootdir}/${selfname}" "${backupdir}/script/${selfname}-$(date +"%m_%d_%Y_%M").bak" cp "${rootdir}/${selfname}" "${backupdir}/script/${selfname}-$(date +"%m_%d_%Y_%M").bak"
if [ $? -ne 0 ]; then if [ $? != 0 ]; then
fn_print_fail_eol_nl fn_print_fail_eol_nl
fn_script_log_fatal "Backup ${selfname}" fn_script_log_fatal "Backup ${selfname}"
core_exit.sh core_exit.sh
@ -160,7 +160,7 @@ if [ -n "${functionsdir}" ]; then
else else
curl -IsfL "https://bitbucket.org/${githubuser}/${githubrepo}/raw/${githubbranch}/${github_file_url_dir}/${functionfile}" 1>/dev/null curl -IsfL "https://bitbucket.org/${githubuser}/${githubrepo}/raw/${githubbranch}/${github_file_url_dir}/${functionfile}" 1>/dev/null
fi fi
if [ $? -ne 0 ]; then if [ $? != 0 ]; then
fn_print_error_eol_nl fn_print_error_eol_nl
fn_script_log_error "Checking ${remotereponame} module ${functionfile}" fn_script_log_error "Checking ${remotereponame} module ${functionfile}"
echo -en "removing module ${functionfile}...\c" echo -en "removing module ${functionfile}...\c"

12
lgsm/functions/command_wipe.sh

@ -135,13 +135,13 @@ fn_wipe_server_files(){
fn_script_log_pass "No blueprint file to remove" fn_script_log_pass "No blueprint file to remove"
fi fi
elif [ "$(find "${serveridentitydir}" -type f -name "player.blueprints.*.db")" ]; then elif [ "$(find "${serveridentitydir}" -type f -name "player.blueprints.*.db")" ]; then
echo -e "keeping blueprints" echo -e "keeping blueprints"
fn_sleep_time fn_sleep_time
fn_script_log_info "Keeping blueprints" fn_script_log_info "Keeping blueprints"
else else
echo -e "no blueprints found" echo -e "no blueprints found"
fn_sleep_time fn_sleep_time
fn_script_log_pass "No blueprints found" fn_script_log_pass "No blueprints found"
fi fi
# Wipe some logs that might be there. # Wipe some logs that might be there.
if [ "$(find "${serveridentitydir}" -type f -name "Log.*.txt")" ]; then if [ "$(find "${serveridentitydir}" -type f -name "Log.*.txt")" ]; then

2
lgsm/functions/fix.sh

@ -21,7 +21,7 @@ fn_fix_msg_start_nl(){
} }
fn_fix_msg_end(){ fn_fix_msg_end(){
if [ $? -ne 0 ]; then if [ $? != 0 ]; then
fn_print_error_nl "Applying ${fixname} fix: ${gamename}" fn_print_error_nl "Applying ${fixname} fix: ${gamename}"
fn_script_log_error "Applying ${fixname} fix: ${gamename}" fn_script_log_error "Applying ${fixname} fix: ${gamename}"
else else

10
lgsm/functions/fix_ark.sh

@ -7,18 +7,18 @@
functionselfname="$(basename "$(readlink -f "${BASH_SOURCE[0]}")")" functionselfname="$(basename "$(readlink -f "${BASH_SOURCE[0]}")")"
# removes mulitple appworkshop_346110.acf if found. # removes mulitple appworkshop_346110.acf if found.
steamappsfilewc=$(find ${HOME} -name appworkshop_346110.acf | wc -l) steamappsfilewc="$(find "${HOME}" -name appworkshop_346110.acf | wc -l)"
if [ "${steamappsfilewc}" -gt "1" ]; then if [ "${steamappsfilewc}" -gt "1" ]; then
fixname="multiple appworkshop acf files" fixname="multiple appworkshop acf files"
fn_fix_msg_start fn_fix_msg_start
find ${HOME} -name appworkshop_346110.acf -exec rm -f {} \; find "${HOME}" -name appworkshop_346110.acf -exec rm -f {} \;
fn_fix_msg_end fn_fix_msg_end
elif [ "${steamappsfilewc}" -eq "1" ]; then elif [ "${steamappsfilewc}" -eq "1" ]; then
# Steam mods directory selecter # Steam mods directory selecter
# This allows LinxuGSM to select either ~/.steam or ~/Steam. depending on what is being used # This allows LinxuGSM to select either ~/.steam or ~/Steam. depending on what is being used
steamappsfile=$(find ${HOME} -name appworkshop_346110.acf) steamappsfile=$(find "${HOME}" -name appworkshop_346110.acf)
steamappsdir=$(dirname "${steamappsfile}") steamappsdir=$(dirname "${steamappsfile}")
steamappspath=$(cd "${steamappsdir}"|| return; cd ../;pwd) steamappspath=$(cd "${steamappsdir}" || return; cd ../;pwd)
# removes the symlink if exists. # removes the symlink if exists.
# fixes issue with older versions of LinuxGSM linking to /home/arkserver/steamcmd # fixes issue with older versions of LinuxGSM linking to /home/arkserver/steamcmd
@ -40,7 +40,7 @@ elif [ "${steamappsfilewc}" -eq "1" ]; then
fi fi
# if the steamapps symlink is incorrect unlink it. # if the steamapps symlink is incorrect unlink it.
if [ -d "${serverfiles}/Engine/Binaries/ThirdParty/SteamCMD/Linux" ]&&[ -L "${serverfiles}/Engine/Binaries/ThirdParty/SteamCMD/Linux/steamapps" ]&&[ "$(readlink ${serverfiles}/Engine/Binaries/ThirdParty/SteamCMD/Linux/steamapps)" != "${steamappspath}" ]; then if [ -d "${serverfiles}/Engine/Binaries/ThirdParty/SteamCMD/Linux" ]&&[ -L "${serverfiles}/Engine/Binaries/ThirdParty/SteamCMD/Linux/steamapps" ]&&[ "$(readlink "${serverfiles}/Engine/Binaries/ThirdParty/SteamCMD/Linux/steamapps")" != "${steamappspath}" ]; then
fixname="incorrect steamapps symlink" fixname="incorrect steamapps symlink"
fn_fix_msg_start fn_fix_msg_start
unlink "${serverfiles:?}/Engine/Binaries/ThirdParty/SteamCMD/Linux/steamapps" unlink "${serverfiles:?}/Engine/Binaries/ThirdParty/SteamCMD/Linux/steamapps"

4
lgsm/functions/info_config.sh

@ -232,8 +232,8 @@ fn_info_config_chivalry(){
serverpassword="${unavailable}" serverpassword="${unavailable}"
adminpassword="${unavailable}" adminpassword="${unavailable}"
else else
servername=$(egrep "^ServerName" "${servercfgfullpath}" | sed 's/^ServerName=//') servername=$(grep -E "^ServerName" "${servercfgfullpath}" | sed 's/^ServerName=//')
adminpassword=$(egrep "^AdminPassword" "${servercfgfullpath}" | sed 's/^AdminPassword=//') adminpassword=$(grep -E "^AdminPassword" "${servercfgfullpath}" | sed 's/^AdminPassword=//')
# Not Set # Not Set
servername=${servername:-"NOT SET"} servername=${servername:-"NOT SET"}

4
lgsm/functions/info_distro.sh

@ -263,9 +263,9 @@ fi
if [ "$(command -v jq 2>/dev/null)" ]; then if [ "$(command -v jq 2>/dev/null)" ]; then
if [ "${ip}" ]&&[ "${port}" ]; then if [ "${ip}" ]&&[ "${port}" ]; then
if [ "${steammaster}" == "true" ]; then if [ "${steammaster}" == "true" ]; then
masterserver=$(curl -m 3 -s 'https://api.steampowered.com/ISteamApps/GetServersAtAddress/v0001?addr='${ip}':'${port}'&format=json' | jq '.response.servers[]?|.addr' | wc -l 2>/dev/null) masterserver=$(curl -m 3 -s 'https://api.steampowered.com/ISteamApps/GetServersAtAddress/v0001?addr='${ip}':'${port}'&format=json' | jq '.response.servers[]|.addr' | wc -l 2>/dev/null)
if [ "${masterserver}" == "0" ]; then if [ "${masterserver}" == "0" ]; then
masterserver=$(curl -m 3 -s 'https://api.steampowered.com/ISteamApps/GetServersAtAddress/v0001?addr='${extip}':'${port}'&format=json' | jq '.response.servers[]?|.addr' | wc -l 2>/dev/null) masterserver=$(curl -m 3 -s 'https://api.steampowered.com/ISteamApps/GetServersAtAddress/v0001?addr='${extip}':'${port}'&format=json' | jq '.response.servers[]|.addr' | wc -l 2>/dev/null)
fi fi
if [ "${masterserver}" == "0" ]; then if [ "${masterserver}" == "0" ]; then
displaymasterserver="false" displaymasterserver="false"

8
lgsm/functions/install_logs.sh

@ -15,7 +15,7 @@ fn_sleep_time
# Create LinuxGSM logs. # Create LinuxGSM logs.
echo -en "installing log dir: ${logdir}..." echo -en "installing log dir: ${logdir}..."
mkdir -p "${logdir}" mkdir -p "${logdir}"
if [ $? -ne 0 ]; then if [ $? != 0 ]; then
fn_print_fail_eol_nl fn_print_fail_eol_nl
core_exit.sh core_exit.sh
else else
@ -24,7 +24,7 @@ fi
echo -en "installing LinuxGSM log dir: ${lgsmlogdir}..." echo -en "installing LinuxGSM log dir: ${lgsmlogdir}..."
mkdir -p "${lgsmlogdir}" mkdir -p "${lgsmlogdir}"
if [ $? -ne 0 ]; then if [ $? != 0 ]; then
fn_print_fail_eol_nl fn_print_fail_eol_nl
core_exit.sh core_exit.sh
else else
@ -32,7 +32,7 @@ else
fi fi
echo -en "creating LinuxGSM log: ${lgsmlog}..." echo -en "creating LinuxGSM log: ${lgsmlog}..."
touch "${lgsmlog}" touch "${lgsmlog}"
if [ $? -ne 0 ]; then if [ $? != 0 ]; then
fn_print_fail_eol_nl fn_print_fail_eol_nl
core_exit.sh core_exit.sh
else else
@ -42,7 +42,7 @@ fi
if [ "${consolelogdir}" ]; then if [ "${consolelogdir}" ]; then
echo -en "installing console log dir: ${consolelogdir}..." echo -en "installing console log dir: ${consolelogdir}..."
mkdir -p "${consolelogdir}" mkdir -p "${consolelogdir}"
if [ $? -ne 0 ]; then if [ $? != 0 ]; then
fn_print_fail_eol_nl fn_print_fail_eol_nl
core_exit.sh core_exit.sh
else else

4
linuxgsm.sh

@ -381,7 +381,7 @@ else
mkdir -p "${configdirserver}" mkdir -p "${configdirserver}"
echo -en "copying _default.cfg...\c" echo -en "copying _default.cfg...\c"
cp -R "${configdirdefault}/config-lgsm/${gameservername}/_default.cfg" "${configdirserver}/_default.cfg" cp -R "${configdirdefault}/config-lgsm/${gameservername}/_default.cfg" "${configdirserver}/_default.cfg"
if [ $? -ne 0 ]; then if [ $? != 0 ]; then
echo -e "FAIL" echo -e "FAIL"
exit 1 exit 1
else else
@ -393,7 +393,7 @@ else
fn_print_warn_nl "_default.cfg has altered. reloading config." fn_print_warn_nl "_default.cfg has altered. reloading config."
echo -en "copying _default.cfg...\c" echo -en "copying _default.cfg...\c"
cp -R "${configdirdefault}/config-lgsm/${gameservername}/_default.cfg" "${configdirserver}/_default.cfg" cp -R "${configdirdefault}/config-lgsm/${gameservername}/_default.cfg" "${configdirserver}/_default.cfg"
if [ $? -ne 0 ]; then if [ $? != 0 ]; then
echo -e "FAIL" echo -e "FAIL"
exit 1 exit 1
else else

Loading…
Cancel
Save